Velocity Reviews

Velocity Reviews (http://www.velocityreviews.com/forums/index.php)
-   Python (http://www.velocityreviews.com/forums/f43-python.html)
-   -   Re: pip and distutils (http://www.velocityreviews.com/forums/t957218-re-pip-and-distutils.html)

Kwpolska 02-02-2013 04:49 PM

Re: pip and distutils
 
On Mon, Jan 28, 2013 at 10:31 PM, Vraj Mohan <r.vrajmohan@gmail.com> wrote:
> I have created a source distribution using distutils which specifies
> external packages using:
>
> setup(
> ...,
> requires = ['Foo (>= 0.7)', 'Bar (>= 2.4.5)'],
> ...
> )
>
> When I use pip to install this distribution, I find that it does not
> automatically install the packages Foo and Bar. What extra step do I
> need to perform to have pip automatically install the "required"
> packages?
>
> I am using Python 3.2.3.
>
> --Vraj
> --
> http://mail.python.org/mailman/listinfo/python-list


You should put your requirements in the requirements.txt, replaced by newlines.

Example:

Foo >= 0.7
Bar >= 2.4.5

Or something like that.
--
Kwpolska <http://kwpolska.tk> | GPG KEY: 5EAAEA16
stop html mail | always bottom-post
http://asciiribbon.org | http://caliburn.nl/topposting.html


All times are GMT. The time now is 07:28 PM.

Powered by vBulletin®. Copyright ©2000 - 2014, vBulletin Solutions, Inc.
SEO by vBSEO ©2010, Crawlability, Inc.